org.modeshape.sequencer.teiid.xmi

## Class XmiBasePart

- java.lang.Object
- - org.modeshape.sequencer.teiid.xmi.XmiBasePart

- All Implemented Interfaces:
    XmiPart
  Direct Known Subclasses:
    XmiAttribute, XmiElement

      public abstract class XmiBasePart
      extends Object
      implements XmiPart

  A base implementation of a XMI part.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XmiBasePart(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getName()`
    `String` | `getNamespacePrefix()`
    `String` | `getNamespaceUri()`
    `String` | `getQName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setNamespacePrefix(String newNamespacePrefix)`
    `void` | `setNamespaceUri(String newNamespaceUri)`
    `void` | `setValue(String newValue)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmiBasePart

          protected XmiBasePart(String name)

      Parameters:
        `name` - the part name (cannot be `null` or empty)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `XmiPart`
      Returns:
        the XMI part name (never `null` or empty)
      See Also:
        `XmiPart.getName()`

    - #### getNamespacePrefix

          public String getNamespacePrefix()

      Specified by:
        `getNamespacePrefix` in interface `XmiPart`
      Returns:
        the namespace prefix (can be `null` or empty)
      See Also:
        `XmiPart.getNamespacePrefix()`

    - #### getNamespaceUri

          public String getNamespaceUri()

      Specified by:
        `getNamespaceUri` in interface `XmiPart`
      Returns:
        the namespace URI (can be `null` or empty)
      See Also:
        `XmiPart.getNamespaceUri()`

    - #### getQName

          public String getQName()

      Specified by:
        `getQName` in interface `XmiPart`
      Returns:
        the namespace prefixed XMI part name (never `null` or empty)
      See Also:
        `XmiPart.getQName()`

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `XmiPart`
      Returns:
        the value (can be `null` or empty)
      See Also:
        `XmiPart.getValue()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### setNamespacePrefix

          public void setNamespacePrefix(String newNamespacePrefix)

      Parameters:
        `newNamespacePrefix` - the new namespace prefix (can be `null` or empty)

    - #### setNamespaceUri

          public void setNamespaceUri(String newNamespaceUri)

      Parameters:
        `newNamespaceUri` - the new namespace URI (can be `null` or empty)

    - #### setValue

          public void setValue(String newValue)

      Parameters:
        `newValue` - the new part value (can be `null` or empty)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.